using OpenHarbor.CQRS;
using OpenHarbor.CQRS.AspNetCore.Mvc;
using OpenHarbor.Guide.Query;

var builder = WebApplication.CreateBuilder(args);

builder.Services.AddDefaultCommandDiscovery();
builder.Services.AddDefaultQueryDiscovery();

builder.Services.AddQuery<HealthQuery, bool, HealthQueryHandler>();

var mvcBuilder = builder.Services
  .AddControllers();

mvcBuilder
  .AddOpenHarborCommands();

mvcBuilder
  .AddOpenHarborQueries();

var app = builder.Build();

app.MapControllers();

app.Run();